<h2>My Heroes</h2>
<ul class="heroes">
  <li *ngFor="let hero of heroes">
    <a routerLink="/detail/{{hero.id}}">
      <span class="badge">{{hero.id}}</span> {{hero.name}}
    </a>
    <button type="button" class="delete" title="delete hero"
            (click)="delete(hero)">x</button>
  </li>
</ul>
<div>
  <label for="new-hero"> Hero name : </label>
  <input id="new-hero" #heroName />
  <button type="button" class="add-button" (click)="add(heroName.value);heroName.value=''">Add hero</button>
</div>




<!--Principe de data down-->
<!--<app-hero-detail [hero]="selectedHero"></app-hero-detail>-->


<!--    Conditonal Class : On peux choisir d'appliquer une classe uniquement si la conditon js est vrai-->
<!--    <button [class.selected]="hero === selectedHero" type="button" (click)="onSelect(hero)">-->
